Subject: Re: Lavender cultivation

From: [email-masked] (Bruce Schimmel)
Date: 23 Mar 1995 02:59:22 GMT

It is a perennial and, from my garden, seems to become quite healthy
)almost rampant) in it's second season. I got plants in early spring
(from Sandy Mush Herb Farms...in North Carlina, I think); I believe the
germination from seed is kind of slow. Sandy Mush is great source for
many odd and interesting varieties of herbs, by the way.